package com.mortals.xhx.module.ph.model.vo;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.ph.model.PhQueueStatEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 排队叫号汇总统计视图对象
*
* @author zxfei
* @date 2024-06-24
*/
@Data
public class PhQueueStatVo extends BaseEntityLong {

    /** ID列表 */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List <Long> idList;

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<String> sectionNameList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List <String> sectionNameNotList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<String> businessList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<String> businessNotList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<String> windowFromnumList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List <String> windowFromnumNotList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<String> hallNameList;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List <String> hallNameNotList;

    /** 开始 评价时间 */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String timeStart;

    /** 结束 评价时间 */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String timeEnd;



}