package com.mortals.xhx.module.access.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.common.pdu.site.SitePdu;
import com.mortals.xhx.module.access.model.AccessEntity;
import com.mortals.xhx.module.access.dao.AccessDao;
import com.mortals.xhx.module.access.model.AccessQuery;

import java.util.List;

/**
* AccessService
*
* 区域接入 service接口
*
* @author zxfei
* @date 2024-07-02
*/
public interface AccessService extends ICRUDService<AccessEntity,Long>{

    AccessDao getDao();

    /**
     * 获取统计站点列表
     * @return
     */
    List<SitePdu> getStatSiteList(AccessQuery accessQuery);
}